---
import { TITLE, DESC } from "../.ts"
import NameDisplay from "./NameDisplay.astro";
import { ViewTransitions } from 'astro:transitions';
import "../styles.css";

type Props = {
    title: string;
    desc: string;
    active: number;
}

const precomputed = {
    title: `${TITLE} · ${Astro.props.title}`,
    desc: Astro.props.desc
}
---

<html lang="en">
	<head>
		<meta charset="utf-8">
		<link rel="icon" type="image/svg+xml" href="/favicon.svg">
		<meta name="viewport" content="width=device-width">
        <meta name="title" content={precomputed.title}>
        <meta name="description" content={precomputed.desc}>
		<title>{precomputed.title}</title>

        <ViewTransitions />
	</head>
	<body>
        <div id="app">
            <header>
                <div class="wrapper">
                    <NameDisplay name={TITLE} desc={DESC} />
                    <nav>
                        <a href="/" class={Astro.props.active === 0 ? 'router-link-exact-active' : ''}>Home</a>
                        <a href="/about"  class={Astro.props.active === 1 ? 'router-link-exact-active' : ''}>yes</a>
                    </nav>
                </div>
            </header>
            <main transition:animate='fade'>
                <slot />
            </main>
        </div>
	</body>
</html>
